#

## closewrapper

Close a GUI layout window and all of its associated frames.

### Shortcuts:

> Menu option File->Close implements the command closewrapper tk_path_name in the GUI layout window.

### Usage:

> closewrapper frame_name

> > where frame_name is the Tk path name of the top-level layout GUI window frame. By default, this name is `.layout1`, `.layout2`, etc., for successive windows created with the openwrapper command.

### Summary:

> The closewrapper command removes a layout window in the Tcl version of magic. It is only applicable when magic is invoked with the GUI wrapper, using magic -w, and supercedes the built-in command closewindow.

### Implementation Notes:

> closewrapper is implemented as a Tcl procedure in the GUI wrapper script.

### See Also:

> closewindow
> openwrapper

Return to command index

Last updated: March 7, 2020 at 1:06pm